%define debug_package %{nil}

%define prerelease 3454319be2ebde8481aa0804a801f4d07de705b5
%define import_path github.com/syndtr/gocapability
%define gopath %{_libdir}/golang
%define gosrc %{gopath}/src/pkg/%{import_path}
%define shortcommit %(c=%{prerelease}; echo ${c:0:7})

Summary:	Utilities for manipulating POSIX capabilities in Go
Name:		golang-syndtr-gocapability
Version:	0.1.git%{shortcommit}
Release:	%mkrel 6
License:	MIT
Group:		Development/Other
Url:		https://%{import_path}
Source0:        https://%{import_path}/archive/%{prerelease}.tar.gz
Provides:       golang(%{import_path}) = %{version}-%{release}
Provides:	golang(%{import_path}/capability) = %{version}-%{release}

%description
Utilities for manipulating POSIX capabilities in Go

%prep
%setup -q -n gocapability-%{prerelease}

%build

%install
mkdir -p %{buildroot}%{gosrc}
cp -av * %{buildroot}%{gosrc}/
rm -f %{buildroot}%{gosrc}/LICENSE

%files
%doc LICENSE
%{gosrc}/*


%changelog
* Thu Feb 11 2016 umeabot <umeabot> 0.1.git3454319-6.mga6
+ Revision: 954183
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 0.1.git3454319-5.mga6
+ Revision: 893501
- disable debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 0.1.git3454319-4.mga5
+ Revision: 743204
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.git3454319-3.mga5
+ Revision: 679879
- Mageia 5 Mass Rebuild

* Mon Jun 30 2014 bcornec <bcornec> 0.1.git3454319-2.mga5
+ Revision: 641544
- Fix for golang FHS

* Sun Dec 22 2013 thatsamguy <thatsamguy> 0.1.git3454319-1.mga4
+ Revision: 559724
- imported package golang-syndtr-gocapability

